import express from 'express';
import { 
  getSchedules, 
  createSchedule, 
  toggleScheduleComplete, 
  deleteSchedule 
} from '../controllers/scheduleController.js';
import { protect } from '../middleware/authMiddleware.js';

const router = express.Router();

router.route('/')
  .get(protect, getSchedules)
  .post(protect, createSchedule);

router.route('/:id')
  .delete(protect, deleteSchedule);

router.put('/:id/toggle-complete', protect, toggleScheduleComplete);

export default router;