/** @type {import('tailwindcss').Config} */
export default {
  content: [
    "./index.html",
    "./src/**/*.{js,ts,jsx,tsx}",
  ],
  theme: {
    extend: {
      colors: {
        primary: {
          50: '#f0f6ff',
          100: '#e0edff',
          200: '#c2dbff',
          300: '#9ac1ff',
          400: '#6d9dff',
          500: '#3B82F6', // 主色调
          600: '#2c68f5',
          700: '#1e4fd0',
          800: '#1a3fa7',
          900: '#1a3883',
        },
        secondary: {
          50: '#f3f8fb',
          100: '#e3f1f9',
          200: '#cce7f5',
          300: '#a4d5ea',
          400: '#76beda',
          500: '#48a1c8',
          600: '#3584ab',
          700: '#2c6a8a',
          800: '#295772',
          900: '#254960',
        },
        accent: {
          50: '#fffbe5',
          100: '#fff7c2',
          200: '#ffee88',
          300: '#ffdf45',
          400: '#ffcf13',
          500: '#e7b000',
          600: '#cc8a00',
          700: '#a66502',
          800: '#88510a',
          900: '#74410f',
        },
      },
      fontFamily: {
        sans: ['Noto Sans SC', 'system-ui', 'sans-serif'],
      },
    },
  },
  plugins: [],
}